apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  creationTimestamp: '2020-08-27T21:22:37Z'
  finalizers:
    - oauthclients.finalizers.che.eclipse.org
    - consolelink.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
  generation: 33
  name: codeready-workspaces
  namespace: crw
  resourceVersion: '337673493'
  uid: 07b1f121-f772-4206-8be5-0779dbc84747
spec:
  auth:
    identityProviderURL: 'https://keycloak-crw.apps.ocp1.<domain>/auth'
    identityProviderRealm: codeready
    updateAdminPassword: false
    identityProviderIngress: {}
    oAuthSecret: ********
    oAuthClientName: codeready-workspaces-openshift-identity-provider-60hop3
    identityProviderContainerResources:
      limits: {}
      request: {}
    identityProviderClientId: codeready-public
    identityProviderPostgresSecret: che-identity-postgres-secret
    identityProviderRoute: {}
    externalIdentityProvider: false
    identityProviderSecret: che-identity-secret
    openShiftoAuth: true
  database:
    chePostgresContainerResources:
      limits: {}
      request: {}
    chePostgresDb: dbche
    chePostgresHostName: postgres
    chePostgresPort: '5432'
    chePostgresSecret: che-postgres-secret
    externalDb: false
  devWorkspace:
    enable: false
  imagePuller:
    enable: false
    spec: {}
  k8s: {}
  metrics:
    enable: true
  server:
    cheLogLevel: INFO
    dashboardIngress: {}
    customCheProperties:
      CHE_SERVER_SECURE__EXPOSER_JWTPROXY_CPU__LIMIT: '-1'
      CHE_WORKSPACE_PLUGIN__BROKER_PULL__POLICY: IfNotPresent
      CHE_WORKSPACE_SIDECAR_IMAGE__PULL__POLICY: IfNotPresent
    externalDevfileRegistry: false
    pluginRegistryIngress: {}
    cheServerRoute: {}
    devfileRegistryIngress: {}
    cheHost: codeready-crw.apps.ocp1.<domain>
    nonProxyHosts: >-
      codeready-crw.apps.ocp1.<domain>|keycloak-crw.apps.ocp1.<domain>|oauth-openshift.apps.ocp1.<domain>|api.ocp1.<domain>|*.<domain>|172.30.0.1
    selfSignedCert: true
    cheServerIngress: {}
    cheDebug: 'false'
    tlsSupport: true
    dashboardRoute: {}
    allowUserDefinedWorkspaceNamespaces: true
    serverTrustStoreConfigMapName: ca-certs
    pluginRegistryRoute: {}
    devfileRegistryRoute: {}
    externalPluginRegistry: false
    workspaceNamespaceDefault: cr-<username>
    serverExposureStrategy: multi-host
    gitSelfSignedCert: true
    useInternalClusterSVCNames: false
    cheFlavor: codeready
  storage:
    preCreateSubPaths: true
    pvcClaimSize: 1Gi
    pvcStrategy: per-workspace
status:
  gitHubOAuthProvisioned: false
  devfileRegistryURL: 'https://devfile-registry-crw.apps.ocp1.<domain>'
  keycloakProvisioned: true
  cheClusterRunning: Available
  cheURL: 'https://codeready-crw.apps.ocp1.<domain>'
  devworkspaceStatus:
    message: DevWorkspace CRDs are not installed
    phase: Inactive
  openShiftoAuthProvisioned: true
  dbProvisioned: true
  cheVersion: 2.12.1
  keycloakURL: 'https://keycloak-crw.apps.ocp1.<domain>/auth'
  pluginRegistryURL: 'https://plugin-registry-crw.apps.ocp1.<domain>/v3'
